edu.ucsb.nceas.metacat.database

## Class DBVersion

- java.lang.Object
- - edu.ucsb.nceas.metacat.Version
  - - edu.ucsb.nceas.metacat.database.DBVersion

- All Implemented Interfaces:
    java.lang.Comparable<Version>

      public class DBVersion
      extends Version

  Author:
    daigle@nceas.nceas.ucsb.edu DBVersion represents the current DBVersion information for this Metacat instance.

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.Version

      `allowedVersionLevels, subversions, versionString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBVersion(java.lang.String DBVersionId)` Create a database version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Vector<java.lang.String>` | `getUpdateScripts()` Get the update script list for this version

    - ### Methods inherited from class edu.ucsb.nceas.metacat.Version

      `compareTo, getSubversion, getVersionString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBVersion

          public DBVersion(java.lang.String DBVersionId)
                    throws edu.ucsb.nceas.utilities.PropertyNotFoundException

      Create a database version. Get the update script list from properties for this version and save in a vector.
      Parameters:
        `DBVersionId` - a string representing the version of the database.
      Throws:
        `edu.ucsb.nceas.utilities.PropertyNotFoundException`

  - ### Method Detail

    - #### getUpdateScripts

          public java.util.Vector<java.lang.String> getUpdateScripts()

      Get the update script list for this version
      Returns:
        a Vector of update script names.

Copyright © 2023 Regents of the University of California. All Rights Reserved.